Summary:	PCI bus related utilities
Name:		pciutils
Version:	3.10.0
Release:	4%{?dist}
License:	GPLv2+
URL:		https://mj.ucw.cz/sw/pciutils/

Source0:	https://www.kernel.org/pub/software/utils/pciutils/%{name}-%{version}.tar.xz
#change pci.ids directory to hwdata
Patch3001:	pciutils-idpath.patch
Patch3002:	pciutils-dir-d.patch

BuildRequires:	gcc make sed kmod-devel
Requires:	hwdata
Requires:	%{name}-libs = %{version}-%{release}
Provides:	/sbin/lspci /sbin/setpci

%description
The PCI Utilities are a collection of programs for inspecting and manipulating configuration of PCI devices, all based on a common 
portable library libpci which offers access to the PCI configuration space on a variety of operating systems.

%package devel
Summary:	Linux PCI development library
Requires:	zlib-devel pkgconfig %{name} = %{version}-%{release}

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%package libs
Summary:	Linux PCI library

%description libs
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%package devel-static
Summary:	Linux PCI static library
Requires:	%{name}-devel = %{version}-%{release}

%description devel-static
This package contains a static library for inspecting and setting
devices connected to the PCI bus.

%prep
%autosetup -p1

%build
%make_build SHARED="no" ZLIB="no" LIBKMOD=yes STRIP="" OPT="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" PREFIX="/usr" LIBDIR="%{_libdir}" IDSDIR="/usr/share/hwdata" PCI_IDS="pci.ids"
mv lib/libpci.a lib/libpci.a.tmp

make clean

%make_build SHARED="yes" ZLIB="no" LIBKMOD=yes STRIP="" OPT="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" PREFIX="/usr" LIBDIR="%{_libdir}" IDSDIR="/usr/share/hwdata" PCI_IDS="pci.ids"

%install
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{7,8},%{_libdir},%{_libdir}/pkgconfig,%{_includedir}/pci}
install -p lspci setpci update-pciids $RPM_BUILD_ROOT%{_sbindir}
install -p -m 644 lspci.8 setpci.8 update-pciids.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 644 pcilib.7 $RPM_BUILD_ROOT%{_mandir}/man7
install -p lib/libpci.so.* $RPM_BUILD_ROOT%{_libdir}/
ln -s $(basename $RPM_BUILD_ROOT%{_libdir}/*.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpci.so
mv lib/libpci.a.tmp lib/libpci.a
install -p -m 644 lib/libpci.a $RPM_BUILD_ROOT%{_libdir}
cp -p lib/{pci,header,config,types}.h %{buildroot}%{_includedir}/pci
install -p -m 644 lib/libpci.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%post -n %{name}-libs -p /sbin/ldconfig

%postun -n %{name}-libs -p /sbin/ldconfig

%files
%doc README ChangeLog pciutils.lsm
%{_sbindir}/lspci
%{_sbindir}/setpci
%{_sbindir}/update-pciids
%{_mandir}/man8/*

%files libs
%license COPYING
%{_libdir}/libpci.so.*

%files devel-static
%{_libdir}/libpci.a

%files devel
%{_libdir}/pkgconfig/libpci.pc
%{_libdir}/libpci.so
%{_includedir}/pci
%{_mandir}/man7/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.10.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 3 2023 Shuo Wang <abushwang@tencent.com> - 3.10.0-1
- update to 3.10.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 20 2022 Songqiao Tao <joeytao@tencent.com> - 3.8.0-1
- initial build
